import { Component, OnInit, Inject } from '@angular/core';
import Swal from 'sweetalert2';
import { Router } from '@angular/router';
import {MatDialog, MAT_DIALOG_DATA} from '@angular/material/dialog';
import { PdfViewerModule } from 'ng2-pdf-viewer';

export interface DialogData {
  animal: 'panda' | 'unicorn' | 'lion';
}
@Component({
  selector: 'app-dialog-pdf',
  templateUrl: './dialog-pdf.component.html',
  styleUrls: ['./dialog-pdf.component.css']
})
export class DialogPDfComponent implements OnInit {

  constructor(@Inject(MAT_DIALOG_DATA) public data: DialogData) {}

  ngOnInit(): void {
  }

  agree(){
    localStorage.setItem("consent","true")
  }
  disagree(){
    localStorage.setItem("consent","false")
  }

}
